Bug 1302597 - "Error: Unable to retrieve Ceilometer meter list" when browsing to the Resource Usage page in horizon
"Error: Unable to retrieve Ceilometer meter list" when browsing to the Resour...
Status: CLOSED WONTFIX
Product: RDO
Classification: Community
Component: python-django-horizon (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity high
: ---
: Kilo
Assigned To: Matthias Runge
Ido Ovadia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 03:53 EST by Udi
Modified: 2016-02-09 02:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 02:34:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udi 2016-01-28 03:53:20 EST
Description of problem:
Installed Mitaka in a virtualized environment according to https://www.rdoproject.org/testday/mitaka/milestone2/ and https://www.rdoproject.org/rdo-manager/. I set up tunnelling to log into horizon and browsed to the Resource Usage page. An error appeared in the corner of the screen:

Error: Unable to retrieve Ceilometer meter list.


Version-Release number of selected component (if applicable):
python-django-horizon-9.0.0.0b3-dev67.el7.centos.noarch


How reproducible:
100%


Steps to Reproduce:
1. Install Mitaka according to https://www.rdoproject.org/testday/mitaka/milestone2/ and https://www.rdoproject.org/rdo-manager/
2. Log into the overcloud and browse to the Resource Usage page 


Actual results:
A ceilometer-related error appears


Additional info:
The deployment command was: openstack overcloud deploy --templates --control-scale 3 --compute-scale 1 --ntp-server clock.redhat.com -e /usr/share/openstack-tripleo-heat-templates/environments/puppet-pacemaker.yaml
Comment 1 Matthias Runge 2016-01-28 16:53:49 EST
Please share a log file, thank you.
Comment 2 Udi 2016-02-07 04:33:05 EST
You only see this in horizon.log:

2016-02-07 09:31:33,145 7694 WARNING horizon.exceptions Recoverable error: ('Connection aborted.', BadStatusLine("''",))

Other than that, there is nothing in horizon_error.log, error_log or default_error.log.
Comment 3 Matthias Runge 2016-02-09 02:34:23 EST
We were discussing to disable the page; connection aborted means, ceilo stopped responding.

Note You need to log in before you can comment on or make changes to this bug.